# OR73 - Download one or multiple documents attached to one or multiple orders

Description

   If a list of document identifiers is specified only these documents are downloaded.                  If more than one document id is specified, the documents will be wrapped in a ZIP archive           If only one document id is specified the document will not be zipped             If a list of order identifiers is specified, all documents from those orders are downloaded.   Use a list of order document type codes to retrieve specific types from those orders.   In this case, the output of the API will always be a ZIP archive even if there is only one document to retrieve.   When documents are retrieved, they're wrapped into a ZIP archive except when only one document id is specified. The tree structure of this archive is as follow:
documents-timestamp.zip
|
|__ order_id_x/
|   |__ foo.txt
|   |__ bar.txt
|   |__ baz.pdf
|
|__ order_id_y/
|   |__ image.png
|   |__ image(1).png



Call Frequency

Recommended usage: At each document download
Maximum usage: At each document download

Endpoint: GET /api/orders/documents/download

## Query parameters:

  - `order_ids` (string)
    A list of identifiers of the orders (separated by a comma)

  - `document_ids` (string)
    A list of document identifiers (separated by a comma)

  - `document_codes` (string)
    A list of document type codes (separated by a comma)


